> For the complete documentation index, see [llms.txt](https://docs.shimoku.com/dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.shimoku.com/dev/releases/2023/v.0.16/v.0.16.1.md).

# v.0.16.1

{% hint style="danger" %}
This version has been deprecated. If used with the current API version it can produce unexpected behaviour or errors.
{% endhint %}

{% hint style="danger" %}
The package shimoku-api-python is no longer maintained
{% endhint %}

{% hint style="info" %}
To get the new version :rocket:
{% endhint %}

```
pip install --upgrade shimoku-api-python
```

This is a small version that fixes some bugs.

### Fixes <a href="#fixes" id="fixes"></a>

* Fixed an error where a run could not get retrieved if it wasn't first loaded in the activity.
* If the contents of a query where being paginated and a certain condition was met, the data could not get retrieved correctly, now it has been fixed.

### Improvements <a href="#fixes" id="fixes"></a>

* The function `s.activity.get_run_settings` has been added, the necessary parameters are the menu path the activity name and the run id, an example on how to use it is:

  ```python
  s.activity.get_run_settings(
      menu_path="test", 
      activity_name="test_activity", 
      run_id=run_id
  )
  ```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.shimoku.com/dev/releases/2023/v.0.16/v.0.16.1.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
